 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 % Hodgkin Huxley parameter n,m,h_\infty and tau_{n,m,h} versus V
 % V is in mV with V=0 the membrane rest potential.
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 clear all; clf;
 V_min=-30;
 V_max=105;
 % Integration with Euler method
    for i=1:100,
	  V=V_min+(V_max-V_min)*(i-1)/99;
      alpha(1,i)=(10-V)/(100*(exp((10-V)/10)-1));
      alpha(2,i)=(25-V)/(10*(exp((25-V)/10)-1));
      alpha(3,i)=0.07*exp(-V/20);
      beta(1,i)=0.125*exp(-V/80);
      beta(2,i)=4*exp(-V/18);
      beta(3,i)=1/(exp((30-V)/10)+1);
      tau(:,i)=1./(alpha(:,i)+beta(:,i));
      x_0(:,i)=alpha(:,i).*tau(:,i);
    end  % time loop
	subplot(3,2,1)
	plot(V_min+(V_max-V_min)*(1:100)/99,tau(1,:))
	%axis([V_min V_max 0 6])
	title('\tau_n(msec)')

	subplot(3,2,2)
	plot(V_min+(V_max-V_min)*(1:100)/99,x_0(1,:))
	title('n_\infty')
	%axis([V_min V_max 0 6])

	subplot(3,2,3)
	plot(V_min+(V_max-V_min)*(1:100)/99,tau(2,:))
	%axis([V_min V_max 0 1.5])
	title('\tau_m(msec)')

	subplot(3,2,4)
	plot(V_min+(V_max-V_min)*(1:100)/99,x_0(2,:))
	title('m_\infty')
	%axis([V_min V_max 0 1.5])

	subplot(3,2,5)
	plot(V_min+(V_max-V_min)*(1:100)/99,tau(3,:))
	title('\tau_h(msec)')
	%axis([V_min V_max 0 10])
	subplot(3,2,6)
	plot(V_min+(V_max-V_min)*(1:100)/99,x_0(3,:))
	title('h_\infty')
	%axis([V_min V_max 0 10])
